#ifndef RTTASK_HPP
#define RTTASK_HPP

#include <pthread.h>
#include <string>

#include "modechange.hpp"

class PeriodicTask {
    int index;
    int priority;
    long period_us;
    int wcet_sim;
    int ndlinemiss;
    std::string lmsg;
    ModeChangeData &mcObj;
public:
    PeriodicTask(int i, int prio, long p, int ws, ModeChangeData &mc);
    pthread_t start();
    void run();
    void log(const std::string &s);
};

#endif
