#ifndef MANAGER_HPP
#define MANAGER_HPP

#include "modechange.hpp"
#include <semaphore.h>

class ModeManager {
    sem_t sem;
    ModeChangeData &mcObj;
    int newMode;
public:
    ModeManager(ModeChangeData &mc); // initializes the mode manager

    pthread_t start();    // starts the manager threads

    void run();           // the manager code
    void signal(int nm);  // called from an external handler (for aperiodic
                          // behavior), nm is the new mode
};

#endif
